Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
kDateTimeFormat Struct Reference
kApi/Utils

## Description

Represents a date/time text format.

Inheritance diagram for kDateTimeFormat:

## Related
#define | kDATE_TIME_FORMAT_NULL
| Unknown format value.
#define | kDATE_TIME_FORMAT_FULL
| Complete representation; recommended for most purposes. E.g., 2000-01-01 00:00:00.000000 UTC-04:00.
#define | kDATE_TIME_FORMAT_SIMPLE
| Similar to Full, but omits fractional seconds. E.g., 2000-01-01 00:00:00 UTC-04:00.
#define | kDATE_TIME_FORMAT_LOCAL
| Similar to Simple, but omits time zone information (not recommended). E.g., 2000-01-01 00:00:00.
#define | kDATE_TIME_FORMAT_ISO_8601
| ISO-8601 format, with 6 digits for fractional second. E.g., 2000-01-01T00:00:00.000000-04:00.
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- Utils/kDateTime.h